Bug 1010020 - yum update fails in ap-southeast-2 region
yum update fails in ap-southeast-2 region
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: ami (Show other bugs)
2.1
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Anthony Towns
Anush Shetty
: ZStream
Depends On: 1015984
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 13:40 EDT by Anush Shetty
Modified: 2014-07-11 02:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0.34rhs
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 11:45:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2013-09-19 13:40:27 EDT
Description of problem: yum update fails in ap-southeast-2 region

# yum update
Loaded plugins: aliases, amazon-id, changelog, downloadonly, fastestmirror, filter-data, keys, list-data, merge-conf, priorities, product-id, protectbase, rhui-lb, security, subscription-manager, tmprepo,
              : tsflags, upgrade-helper, verify, versionlock
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Loading mirror speeds from cached hostfile
 * rhui-REGION-client-config-server-6-rhs: rhui2-cds01.ap-southeast-2.aws.ce.redhat.com
 * rhui-REGION-rhs-2.1-for-rhui-server-debug: rhui2-cds01.ap-southeast-2.aws.ce.redhat.com
 * rhui-REGION-rhs-2.1-for-rhui-server-rpms: rhui2-cds01.ap-southeast-2.aws.ce.redhat.com
 * rhui-REGION-rhs-2.1-rhel-6.4-for-rhui-server-debug: rhui2-cds01.ap-southeast-2.aws.ce.redhat.com
 * rhui-REGION-rhs-2.1-rhel-6.4-for-rhui-server-rpms: rhui2-cds01.ap-southeast-2.aws.ce.redhat.com
 * rhui-REGION-rhs-2.1-rhel-6.4-sfs-for-rhui-debug: rhui2-cds01.ap-southeast-2.aws.ce.redhat.com
 * rhui-REGION-rhs-2.1-rhel-6.4-sfs-for-rhui-rpms: rhui2-cds01.ap-southeast-2.aws.ce.redhat.com
 * rhui-REGION-rhs-2.1-rhel-6.4-sfs-for-rhui-srpms: rhui2-cds01.ap-southeast-2.aws.ce.redhat.com
https://rhui2-cds01.ap-southeast-2.aws.ce.redhat.com/pulp/repos//content/dist/rhs/rhui/server/2.1/x86_64/debug/repodata/repomd.xml: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 404 Not Found"
Trying other mirror.
https://rhui2-cds02.ap-southeast-2.aws.ce.redhat.com/pulp/repos//content/dist/rhs/rhui/server/2.1/x86_64/debug/repodata/repomd.xml: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 404 Not Found"
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-REGION-rhs-2.1-for-rhui-server-debug. Please verify its path and try again


Version-Release number of selected component (if applicable): AMI: RHEL-6.4-RHS-2.1-x86_64-6-Access2 (ami-87a934bd)


How reproducible: Always


Steps to Reproduce:
1. yum update
2.
3.

Actual results:

yum update fails.

Expected results:


Additional info:
Comment 3 Anush Shetty 2013-10-07 07:43:03 EDT
Cannot verify this bug until bz 1015984 is fixed.
Comment 4 Anthony Towns 2013-10-07 21:11:22 EDT
You should be able to confirm that ap-southeast-2 is working the same way as other regions, and should be able to complete an update except for the broken rhui package by adding --skip-broken... I don't think this bug is actually dependant on the rhui package bug...
Comment 5 Gowrishankar Rajaiyan 2013-10-09 02:44:05 EDT
We shouldn't be using "--skip-broken" while doing "yum update".
Comment 6 Anush Shetty 2013-10-10 02:59:23 EDT
Verified with AMI: RHEL-6.4-RHS-2.1-x86_64-6-Access2 (ami-87a934bd)

Note You need to log in before you can comment on or make changes to this bug.